# SourcePath: libgpg-error/20210511dev
Summary: Originally defined common error values for all GnuPG components. 
Name: sony-target-dev-libgpg-error
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-libgpg-error
Version: 1.41
Release: 14020101
Source: libgpg-error-%{version}.tar.bz2
#Patch1: gpg-error-files.patch
#Patch2: libgpg-error-1.27-build-fix.patch
License: GPLV2
URL: ftp://ftp.gnupg.org/gcrypt/alpha/libgpg-error/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
Libgpg-error is a small library that originally defined common error
values for all GnuPG components.Among these are GPG, GPGSM, GPGME,
GPG-Agent, libgcrypt, Libksba, DirMngr, Pinentry, SCdaemon. Because
Libgpg-error is a common dependency all GnuPG components.

%package -n %{pkgname}
Summary: Originally defined common error values for all GnuPG components. 
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Libgpg-error is a small library that originally defined common error
values for all GnuPG components.Among these are GPG, GPGSM, GPGME,
GPG-Agent, libgcrypt, Libksba, DirMngr, Pinentry, SCdaemon. Because
Libgpg-error is a common dependency all GnuPG components.

%prep
%setup -n libgpg-error-%{version}
#%patch1 -p1
#%patch2 -p1

%build
%sony_target_dev_setup
%sony_target_dev_configure
#sed -i 's/CC_FOR_BUILD = cc/CC_FOR_BUILD = arm-sony-linux-gnu-gcc/g' Makefile
#sed -i 's/CC_FOR_BUILD = cc/CC_FOR_BUILD = arm-sony-linux-gnu-gcc/g' src/Makefile
#make gen-posix-lock-obj
make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall
# delete the man files
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/
#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/doc/
#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/aclocal/gpgrt.m4
#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}/gpgrt-config
#rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/gpgrt-config
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/yat2m

%demangle_libtool

# 12.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ln -s ../..%{sony_target_devtool_bin_dir}/$b \
               %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b
          ;;
    esac
done
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/info/dir
%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root,-)
%{sony_target_dir}%{sony_target_devtool_include_dir}/*.h
%{sony_target_dir}%{sony_target_devtool_bin_dir}/gpg-error-config
%{sony_target_dir}%{sony_target_dev_bin_dir}/gpg-error-config
%{sony_target_dir}%{sony_target_devtool_bin_dir}/gpgrt-config
%{sony_target_dir}%{sony_target_dev_bin_dir}/gpgrt-config 	 
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/gpg-error.pc
#%{sony_target_dir}%{sony_target_dev_bin_dir}/yat2m
%{sony_target_dir}%{sony_target_dev_bin_dir}/gpg-error
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/*

%changelog
* Mon May 31 2021 Sony Group Corporation
- Initial build for 14.2.1.0

* Mon Jun 17 2019 Sony Corporation
- Initial build for 14.2.0.1

* Wed Apr 19 2019 Sony Corporation
- Initial build for CE-Linux-14.2.0.x.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Dec 24 2018 Sony Corporation
- Initial build.
